# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['rest_live']

package_data = \
{'': ['*']}

install_requires = \
['Django>=2.2', 'channels>=2.0.0', 'djangorestframework>=3.11']

setup_kwargs = {
    'name': 'django-rest-live',
    'version': '0.6.0',
    'description': 'Subscriptions for Django REST Framework over Websockets.',
    'long_description': '# Django REST Live\n\n[![Documentation](https://readthedocs.org/projects/django-rest-live/badge/?version=latest)](https://django-rest-live.readthedocs.io/en/latest/?badge=latest)\n[![CircleCI](https://circleci.com/gh/pennlabs/django-rest-live.svg?style=shield)](https://circleci.com/gh/pennlabs/django-rest-live)\n[![Coverage Status](https://codecov.io/gh/pennlabs/django-rest-live/branch/master/graph/badge.svg)](https://codecov.io/gh/pennlabs/django-rest-live)\n[![PyPi Package](https://img.shields.io/pypi/v/django-rest-live.svg)](https://pypi.org/project/django-rest-live/)\n\n`django-rest-live` adds real-time subscriptions over websockets to [Django REST Framework](https://github.com/encode/django-rest-framework)\nviews by leveraging websocket support provided by [Django Channels](https://github.com/django/channels).\n\nRead the documentation [here](https://django-rest-live.readthedocs.io)!\n\n`django-rest-live` took initial inspiration from [this article by Kit La Touche](https://www.oddbird.net/2018/12/12/channels-and-drf/).\nThe goal of this project is to be as close as possible to a drop-in realtime solution for projects already\nusing Django REST Framework. \n\nDifferently from projects like [`djangochannelsrestframework`](https://github.com/hishnash/djangochannelsrestframework),\n`django-rest-live` does not aim to supplant REST Framework for performing CRUD actions through a REST API. Instead,\nit is designed to be used in conjunction with HTTP REST endpoints. Clients should still use normal REST framework\nendpoints generated by ViewSets and other API views to get initial data to populate a page, as well as any write-driven\nbehavior (`POST`, `PATCH`, `PUT`, `DELETE`). `django-rest-live` gets rid of the need for periodic polling GET\nrequests to for resource updates after page load.\n\n',
    'author': 'Penn Labs',
    'author_email': 'contact@pennlabs.org',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/pennlabs/django-rest-live',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.7',
}


setup(**setup_kwargs)
